#include <FL/Fl.H>
#include <FL/Fl_Tabs.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include <stdio.h>
#include <FL/Fl_Box.H>

Fl_Tabs *tabby;
void add_cb(Fl_Widget *o, void *v)
{
    Fl_Box *b = new Fl_Box(0, 42, 299, 278, "Test");
    b->labelfont(FL_HELVETICA);
    tabby->add(b);
    puts ("Here");
    tabby->redraw();
}

void rm_cb(Fl_Widget *o, void *v)
{
    if(tabby->children())
      tabby->remove(tabby->children()-1);
    tabby->redraw();
}

int main(int argc, char **argv) {
  Fl_Window *window = new Fl_Window(300,300);
  Fl_Button *add_tab = new Fl_Button(0,0,100,20,"Add");
  add_tab->callback((Fl_Callback*)add_cb);
  Fl_Button *rm_tab = new Fl_Button(101,0,100,20,"Remove");
  rm_tab->callback((Fl_Callback*)rm_cb);
  tabby = new Fl_Tabs(0, 21, 300, 279);
  window->end();
  window->show(argc, argv);
  return Fl::run();
}
